<template>
  <div>
    <BasicTable @register="registerTable">
      <template #action="{ record }">
        <TableAction :actions="[
          {
            icon: 'clarity:info-standard-line',
            tooltip: bt('查看任务详情'),
            onClick: handleEdit.bind(null, record),
          }
        ]" />
      </template>
    </BasicTable>
  </div>
</template>
<script lang="ts" setup>
import { BasicTable, useTable, TableAction } from '/@/components/Table';

import { columns, searchFormSchema } from './enterwarehouse.data';
import {
  getEnterWarehouseListByPage,
} from '/@/api/tigerapi/wms/enterwarehouse';

import { useI18n } from '/@/hooks/web/useI18n';
import { useGo } from '/@/hooks/web/usePage';
const { t: bt } = useI18n();
const go = useGo();
const [registerTable] = useTable({
  title: '收货单列表',
  api: getEnterWarehouseListByPage,
  columns,
  formConfig: {
    labelWidth: 120,
    schemas: searchFormSchema,
  },
  useSearchForm: true,
  showTableSetting: true,
  bordered: true,
  canResize:true,
  showIndexColumn: false,
  actionColumn: {
    width: 80,
    title: '操作',
    dataIndex: 'action',
    slots: { customRender: 'action' },
    fixed: 'right',
  },
});
function handleEdit(record: Recordable) {
  go('/enterwarehouseDetail/' + record.BILLCODE);

}
</script>
